Subject: Bug#3247: Lilo unpack removes boot.b

From: [email-masked] (Neil Turton)
Date: Fri, 7 Jun 96 17:43 BST

Package: lilo
Version: 17-2

  I was in the process of upgrading from 0.93R6 to 1.1 when I managed
to mess my screen up (my fault).  I decided the best thing to do was
reboot cleanly, which I did, but when I came to reboot, lilo got as far
as 'LI' which means the secondary loader failed to execute.  According
to the docs, this can be caused by moving boot.b without updating the
map file.  What I guess happened was that the old boot.b was deleted
and over-written, and the new one hadn't been put into service.
(mbr isn't installed yet...)  I think that the old boot.b should stay
around until the new one is installed.  (Maybe until the new version
of lilo has been configured)

The status of lilo is:
  Package: lilo
  Status: install ok unpacked
  Priority: important
  Section: base
  Maintainer: Bruce Perens <[email-masked]>
  Version: 17-2
  Depends: mbr
  Description: LInux LOader - Loads Linux from the hard disk without a floppy.
   This program will set up your hard disk to boot Linux.

  The only other part installed package is diff, but I guess that's
not important.  (Status: install reinstreq half-installed)

Neil Turton.
+--------------------------------------------------+----------------------+
| Neil Turton, Assistant computer officer          | Snail Mail to:       |
| Part III mathematics student                     |  Churchill college,  |
| http://www.chu.cam.ac.uk/home/ndt1001/home.html  |  Cambridge. CB3 0DS. |
+--------------------------------------------------+----------------------+
| GCM(M) d H s+:- !g p0>+ !au(-) a- w+ v C+++@ UL++++$(+++) P+ L+++ 3-    |
| E++ N-(+) K- W--- M-- V po Y+ t-- 5 !j R- G? !tv(-) b+ D+ B? e+++ u(*)  |
| h-- f !r>+++ n+ y?                                                      |
+-------------------------------------------------------------------------+